package com.xinelu.common.enums;

import lombok.Getter;

/**
 * 微信支付回调通知状态
 */
@Getter
public enum WeChatTradeStateEnum {

    /**
     * 支付成功
     */
    SUCCESS("SUCCESS"),

    /**
     * 未支付
     */
    NOTPAY("NOTPAY"),

    /**
     * 已关闭
     */
    CLOSED("CLOSED"),

    /**
     * 转入退款
     */
    REFUND("REFUND"),

    /**
     * 已撤销（付款码支付）
     */
    REVOKED("REVOKED"),

    /**
     * 用户支付中（付款码支付）
     */
    USERPAYING("USERPAYING"),

    /**
     * 支付失败(其他原因，如银行返回失败)
     */
    PAYERROR("PAYERROR")
    ;

    final private String info;

    WeChatTradeStateEnum(String info) {
        this.info = info;
    }
}
